Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.impl
Class WrapperConnectionPoolDataSourceBase

    java.lang.Object
      com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
          com.mchange.v2.c3p0.impl.IdentityTokenResolvable
              com.mchange.v2.c3p0.impl.WrapperConnectionPoolDataSourceBase

All Implemented Interfaces:
  IdentityTokenized, java.io.Serializable, javax.naming.Referenceable

Direct Known Subclasses:
  WrapperConnectionPoolDataSource

    public abstract class WrapperConnectionPoolDataSourceBase

extends IdentityTokenResolvable
implements javax.naming.Referenceable, java.io.Serializable

This class was generated by com.mchange.v2.c3p0.codegen.BeangenDataSourceGenerator.

See Also:
  Serialized Form

Field Summary
`protected java.beans.PropertyChangeSupport` | `pcs`
`protected java.beans.VetoableChangeSupport` | `vcs`

Constructor Summary
`WrapperConnectionPoolDataSourceBase(boolean autoregister)`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)`
`void` | `addPropertyChangeListener(java.lang.String propName, java.beans.PropertyChangeListener pcl)`
`void` | `addVetoableChangeListener(java.beans.VetoableChangeListener vcl)`
`protected java.lang.String` | `extraToStringInfo()`
`int` | `getAcquireIncrement()`
`int` | `getAcquireRetryAttempts()`
`int` | `getAcquireRetryDelay()`
`java.lang.String` | `getAutomaticTestTable()`
`int` | `getCheckoutTimeout()`
`java.lang.String` | `getConnectionCustomizerClassName()`
`java.lang.String` | `getConnectionTesterClassName()`
`java.lang.String` | `getFactoryClassLocation()`
`java.lang.String` | `getIdentityToken()`
`int` | `getIdleConnectionTestPeriod()`
`int` | `getInitialPoolSize()`
`int` | `getMaxAdministrativeTaskTime()`
`int` | `getMaxConnectionAge()`
`int` | `getMaxIdleTime()`
`int` | `getMaxIdleTimeExcessConnections()`
`int` | `getMaxPoolSize()`
`int` | `getMaxStatements()`
`int` | `getMaxStatementsPerConnection()`
`int` | `getMinPoolSize()`
`javax.sql.DataSource` | `getNestedDataSource()`
`java.lang.String` | `getOverrideDefaultPassword()`
`java.lang.String` | `getOverrideDefaultUser()`
`protected abstract javax.sql.PooledConnection` | `getPooledConnection(ConnectionCustomizer cc, java.lang.String idt)`
`protected abstract javax.sql.PooledConnection` | `getPooledConnection(java.lang.String user, java.lang.String password, ConnectionCustomizer cc, java.lang.String idt)`
`java.lang.String` | `getPreferredTestQuery()`
`java.beans.PropertyChangeListener[]` | `getPropertyChangeListeners()`
`protected java.beans.PropertyChangeSupport` | `getPropertyChangeSupport()`
`int` | `getPropertyCycle()`
`javax.naming.Reference` | `getReference()`
`int` | `getStatementCacheNumDeferredCloseThreads()`
`int` | `getUnreturnedConnectionTimeout()`
`java.lang.String` | `getUserOverridesAsString()`
`java.beans.VetoableChangeListener[]` | `getVetoableChangeListeners()`
`protected java.beans.VetoableChangeSupport` | `getVetoableChangeSupport()`
`boolean` | `isAutoCommitOnClose()`
`boolean` | `isBreakAfterAcquireFailure()`
`boolean` | `isDebugUnreturnedConnectionStackTraces()`
`boolean` | `isForceIgnoreUnresolvedTransactions()`
`boolean` | `isTestConnectionOnCheckin()`
`boolean` | `isTestConnectionOnCheckout()`
`boolean` | `isUsesTraditionalReflectiveProxies()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)`
`void` | `removePropertyChangeListener(java.lang.String propName, java.beans.PropertyChangeListener pcl)`
`void` | `removeVetoableChangeListener(java.beans.VetoableChangeListener vcl)`
`void` | `setAcquireIncrement(int acquireIncrement)`
`void` | `setAcquireRetryAttempts(int acquireRetryAttempts)`
`void` | `setAcquireRetryDelay(int acquireRetryDelay)`
`void` | `setAutoCommitOnClose(boolean autoCommitOnClose)`
`void` | `setAutomaticTestTable(java.lang.String automaticTestTable)`
`void` | `setBreakAfterAcquireFailure(boolean breakAfterAcquireFailure)`
`void` | `setCheckoutTimeout(int checkoutTimeout)`
`void` | `setConnectionCustomizerClassName(java.lang.String connectionCustomizerClassName)`
`void` | `setConnectionTesterClassName(java.lang.String connectionTesterClassName)`
`void` | `setDebugUnreturnedConnectionStackTraces(boolean debugUnreturnedConnectionStackTraces)`
`void` | `setFactoryClassLocation(java.lang.String factoryClassLocation)`
`void` | `setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)`
`void` | `setIdentityToken(java.lang.String identityToken)`
`void` | `setIdleConnectionTestPeriod(int idleConnectionTestPeriod)`
`void` | `setInitialPoolSize(int initialPoolSize)`
`void` | `setMaxAdministrativeTaskTime(int maxAdministrativeTaskTime)`
`void` | `setMaxConnectionAge(int maxConnectionAge)`
`void` | `setMaxIdleTime(int maxIdleTime)`
`void` | `setMaxIdleTimeExcessConnections(int maxIdleTimeExcessConnections)`
`void` | `setMaxPoolSize(int maxPoolSize)`
`void` | `setMaxStatements(int maxStatements)`
`void` | `setMaxStatementsPerConnection(int maxStatementsPerConnection)`
`void` | `setMinPoolSize(int minPoolSize)`
`void` | `setNestedDataSource(javax.sql.DataSource nestedDataSource)`
`void` | `setOverrideDefaultPassword(java.lang.String overrideDefaultPassword)`
`void` | `setOverrideDefaultUser(java.lang.String overrideDefaultUser)`
`void` | `setPreferredTestQuery(java.lang.String preferredTestQuery)`
`void` | `setPropertyCycle(int propertyCycle)`
`void` | `setStatementCacheNumDeferredCloseThreads(int statementCacheNumDeferredCloseThreads)`
`void` | `setTestConnectionOnCheckin(boolean testConnectionOnCheckin)`
`void` | `setTestConnectionOnCheckout(boolean testConnectionOnCheckout)`
`void` | `setUnreturnedConnectionTimeout(int unreturnedConnectionTimeout)`
`void` | `setUserOverridesAsString(java.lang.String userOverridesAsString)`
`void` | `setUsesTraditionalReflectiveProxies(boolean usesTraditionalReflectiveProxies)`
`java.lang.String` | `toString()`

Methods inherited from class com.mchange.v2.c3p0.impl.IdentityTokenResolvable
`doResolve, readResolve, verifyResolve`

Methods inherited from class com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
`equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### pcs

    protected java.beans.PropertyChangeSupport pcs

### vcs

    protected java.beans.VetoableChangeSupport vcs

Constructor Detail

### WrapperConnectionPoolDataSourceBase

    public WrapperConnectionPoolDataSourceBase(boolean autoregister)

Method Detail

### getPropertyChangeSupport

    protected java.beans.PropertyChangeSupport getPropertyChangeSupport()

### getVetoableChangeSupport

    protected java.beans.VetoableChangeSupport getVetoableChangeSupport()

### getAcquireIncrement

    public int getAcquireIncrement()

### setAcquireIncrement

    public void setAcquireIncrement(int acquireIncrement)

### getAcquireRetryAttempts

    public int getAcquireRetryAttempts()

### setAcquireRetryAttempts

    public void setAcquireRetryAttempts(int acquireRetryAttempts)

### getAcquireRetryDelay

    public int getAcquireRetryDelay()

### setAcquireRetryDelay

    public void setAcquireRetryDelay(int acquireRetryDelay)

### isAutoCommitOnClose

    public boolean isAutoCommitOnClose()

### setAutoCommitOnClose

    public void setAutoCommitOnClose(boolean autoCommitOnClose)

### getAutomaticTestTable

    public java.lang.String getAutomaticTestTable()

### setAutomaticTestTable

    public void setAutomaticTestTable(java.lang.String automaticTestTable)

### isBreakAfterAcquireFailure

    public boolean isBreakAfterAcquireFailure()

### setBreakAfterAcquireFailure

    public void setBreakAfterAcquireFailure(boolean breakAfterAcquireFailure)

### getCheckoutTimeout

    public int getCheckoutTimeout()

### setCheckoutTimeout

    public void setCheckoutTimeout(int checkoutTimeout)

### getConnectionCustomizerClassName

    public java.lang.String getConnectionCustomizerClassName()

### setConnectionCustomizerClassName

    public void setConnectionCustomizerClassName(java.lang.String connectionCustomizerClassName)

### getConnectionTesterClassName

    public java.lang.String getConnectionTesterClassName()

### setConnectionTesterClassName

    public void setConnectionTesterClassName(java.lang.String connectionTesterClassName)
                                      throws java.beans.PropertyVetoException

  Throws:
    `java.beans.PropertyVetoException`

### isDebugUnreturnedConnectionStackTraces

    public boolean isDebugUnreturnedConnectionStackTraces()

### setDebugUnreturnedConnectionStackTraces

    public void setDebugUnreturnedConnectionStackTraces(boolean debugUnreturnedConnectionStackTraces)

### getFactoryClassLocation

    public java.lang.String getFactoryClassLocation()

### setFactoryClassLocation

    public void setFactoryClassLocation(java.lang.String factoryClassLocation)

### isForceIgnoreUnresolvedTransactions

    public boolean isForceIgnoreUnresolvedTransactions()

### setForceIgnoreUnresolvedTransactions

    public void setForceIgnoreUnresolvedTransactions(boolean forceIgnoreUnresolvedTransactions)

### getIdentityToken

    public java.lang.String getIdentityToken()

  Specified by:
    `getIdentityToken` in interface `IdentityTokenized`

### setIdentityToken

    public void setIdentityToken(java.lang.String identityToken)

  Specified by:
    `setIdentityToken` in interface `IdentityTokenized`

### getIdleConnectionTestPeriod

    public int getIdleConnectionTestPeriod()

### setIdleConnectionTestPeriod

    public void setIdleConnectionTestPeriod(int idleConnectionTestPeriod)

### getInitialPoolSize

    public int getInitialPoolSize()

### setInitialPoolSize

    public void setInitialPoolSize(int initialPoolSize)

### getMaxAdministrativeTaskTime

    public int getMaxAdministrativeTaskTime()

### setMaxAdministrativeTaskTime

    public void setMaxAdministrativeTaskTime(int maxAdministrativeTaskTime)

### getMaxConnectionAge

    public int getMaxConnectionAge()

### setMaxConnectionAge

    public void setMaxConnectionAge(int maxConnectionAge)

### getMaxIdleTime

    public int getMaxIdleTime()

### setMaxIdleTime

    public void setMaxIdleTime(int maxIdleTime)

### getMaxIdleTimeExcessConnections

    public int getMaxIdleTimeExcessConnections()

### setMaxIdleTimeExcessConnections

    public void setMaxIdleTimeExcessConnections(int maxIdleTimeExcessConnections)

### getMaxPoolSize

    public int getMaxPoolSize()

### setMaxPoolSize

    public void setMaxPoolSize(int maxPoolSize)

### getMaxStatements

    public int getMaxStatements()

### setMaxStatements

    public void setMaxStatements(int maxStatements)

### getMaxStatementsPerConnection

    public int getMaxStatementsPerConnection()

### setMaxStatementsPerConnection

    public void setMaxStatementsPerConnection(int maxStatementsPerConnection)

### getMinPoolSize

    public int getMinPoolSize()

### setMinPoolSize

    public void setMinPoolSize(int minPoolSize)

### getNestedDataSource

    public javax.sql.DataSource getNestedDataSource()

### setNestedDataSource

    public void setNestedDataSource(javax.sql.DataSource nestedDataSource)

### getOverrideDefaultPassword

    public java.lang.String getOverrideDefaultPassword()

### setOverrideDefaultPassword

    public void setOverrideDefaultPassword(java.lang.String overrideDefaultPassword)

### getOverrideDefaultUser

    public java.lang.String getOverrideDefaultUser()

### setOverrideDefaultUser

    public void setOverrideDefaultUser(java.lang.String overrideDefaultUser)

### getPreferredTestQuery

    public java.lang.String getPreferredTestQuery()

### setPreferredTestQuery

    public void setPreferredTestQuery(java.lang.String preferredTestQuery)

### getPropertyCycle

    public int getPropertyCycle()

### setPropertyCycle

    public void setPropertyCycle(int propertyCycle)

### getStatementCacheNumDeferredCloseThreads

    public int getStatementCacheNumDeferredCloseThreads()

### setStatementCacheNumDeferredCloseThreads

    public void setStatementCacheNumDeferredCloseThreads(int statementCacheNumDeferredCloseThreads)

### isTestConnectionOnCheckin

    public boolean isTestConnectionOnCheckin()

### setTestConnectionOnCheckin

    public void setTestConnectionOnCheckin(boolean testConnectionOnCheckin)

### isTestConnectionOnCheckout

    public boolean isTestConnectionOnCheckout()

### setTestConnectionOnCheckout

    public void setTestConnectionOnCheckout(boolean testConnectionOnCheckout)

### getUnreturnedConnectionTimeout

    public int getUnreturnedConnectionTimeout()

### setUnreturnedConnectionTimeout

    public void setUnreturnedConnectionTimeout(int unreturnedConnectionTimeout)

### getUserOverridesAsString

    public java.lang.String getUserOverridesAsString()

### setUserOverridesAsString

    public void setUserOverridesAsString(java.lang.String userOverridesAsString)
                                  throws java.beans.PropertyVetoException

  Throws:
    `java.beans.PropertyVetoException`

### isUsesTraditionalReflectiveProxies

    public boolean isUsesTraditionalReflectiveProxies()

### setUsesTraditionalReflectiveProxies

    public void setUsesTraditionalReflectiveProxies(boolean usesTraditionalReflectiveProxies)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String propName,
                                          java.beans.PropertyChangeListener pcl)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String propName,
                                             java.beans.PropertyChangeListener pcl)

### getPropertyChangeListeners

    public java.beans.PropertyChangeListener[] getPropertyChangeListeners()

### addVetoableChangeListener

    public void addVetoableChangeListener(java.beans.VetoableChangeListener vcl)

### removeVetoableChangeListener

    public void removeVetoableChangeListener(java.beans.VetoableChangeListener vcl)

### getVetoableChangeListeners

    public java.beans.VetoableChangeListener[] getVetoableChangeListeners()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### extraToStringInfo

    protected java.lang.String extraToStringInfo()

### getReference

    public javax.naming.Reference getReference()
                                        throws javax.naming.NamingException

  Specified by:
    `getReference` in interface `javax.naming.Referenceable`
  Throws:
    `javax.naming.NamingException`

### getPooledConnection

    protected abstract javax.sql.PooledConnection getPooledConnection(ConnectionCustomizer cc,
                                                                      java.lang.String idt)
                                                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getPooledConnection

    protected abstract javax.sql.PooledConnection getPooledConnection(java.lang.String user,
                                                                      java.lang.String password,
                                                                      ConnectionCustomizer cc,
                                                                      java.lang.String idt)
                                                               throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD